<!--
  Generated template for the AlluserlistPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

	<!--
  <ion-navbar color="dark">
    <ion-title>User's List</ion-title>
  </ion-navbar>
	-->

  <ion-navbar hideBackButton color="dark">
  	<ion-buttons left>
	  	<button ion-button (click)="backToTabs()">
	  		<ion-icon class="customIcon" name="arrow-back"></ion-icon>
	  	</button>
	</ion-buttons>
    <ion-title>User's List</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
	
	<ion-searchbar class="all-user-search-bar" [(ngModel)]="searchString" (input)="searchuser($event)" placeholder="Search"></ion-searchbar>
	<ion-card>
		<ion-list>
			<div *ngFor="let allUser of userList$ | filterexistinguser: sentreqList: receivereqList: friendList ">
				<!--<div *ngIf="!filterExistInSentReq(allUser.key)">
					<div *ngIf="!filterExistInRecReq(allUser.key)">-->
						<ion-item-sliding>
							<ion-item [hidden]="currentUserId == allUser.key" class="all-user-list-item">
								<ion-avatar item-left>
									<img-loader src="{{ allUser.photoURL }}" useImg></img-loader>
								</ion-avatar>
								<h2>{{ allUser.displayName }}</h2>
							</ion-item>
							<ion-item-options slide="left" [hidden]="currentUserId == allUser.key" class="all-user-list-item">
								<button ion-button color="primary" (click)="sendReq(allUser)">
									<ion-icon name="person-add"></ion-icon>
									Add
								</button>
							</ion-item-options>
						</ion-item-sliding>
					<!--</div>
				</div>-->
			</div>
		</ion-list>
	</ion-card>

</ion-content>
